TAAS - Feature #317

Package Cancel
02/23/2024 08:40 PM - Junaid M

Status: Reopen Bugs Start date: 02/23/2024
Priority: Normal Due date:

Assignee: Amal Ck % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Package Cancel

Description

Coding Package Cancel

History

#1 - 02/23/2024 08:40 PM - Junaid M

Package Cancel GUI:-

—> Load Service == Package

->Load Package Category Type == Fixed Packages Only

1) Add Package After Service

2) Remove Ancillary Service, Provider, Country, No Of Items, PNR No
3) Load Period - Not Mandatory

—> Addition Item tab add before Fare Tab

-List - # | Checkbox | Particulars |Fare | Tax | Cost | Fee | Price
- Additional Item Included In print - Checkbox in list title

4) Fare Tab

— Additional Item Fare add to Fare

- Additional Item Tax add to Tax

— Additional Item Service Fee add to Service Fee

#2 - 02/23/2024 08:42 PM - Junaid M
- Assignee changed from Amal Siby to Vivekp V

#3 - 03/07/2024 04:15 PM - Anil KV
- Status changed from New to Open

- % Done changed from 0 to 10

#4 - 04/25/2024 10:08 AM - Junaid M

- Assignee changed from Vivekp V to Aparna Mathew

#5 - 05/06/2024 11:04 AM - Junaid M
- Assignee changed from Aparna Mathew to Athul P

#6 - 05/11/2024 09:58 AM - Athul P
- Status changed from Open to Coding Started
- % Done changed from 10 to 30

#7 - 06/10/2024 03:18 PM - Athul P
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#8 - 06/10/2024 04:09 PM - unnikannan S
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED

1.Validate Batch No
2.Period Add Red Star And Validate

#9 - 06/12/2024 10:02 AM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#10 - 06/12/2024 05:29 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Fix Validation In AP Sharing
FIXED -> 2.Error While Changing Supplier Side Currency
FIXED -> 3.Error On Save

#11 - 08/10/2024 07:42 PM - Junaid M

- Status changed from Reopen Bugs to New Changes

Add Feature

Load Package Stock Information to Issue/Cancel module. [Hold: Package Stock module not completed]

#12 - 09/20/2024 02:05 PM - Athul P
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#13 - 10/02/2024 10:51 AM - Anonymous
- Assignee changed from Athul P to Aparna Mathew

#14 - 10/07/2024 05:52 PM - Junaid M
- Status changed from New Changes Coding Done to New Changes

- % Done changed from 70 to 50

New Feature Change

1) Add Customer Cost center In Custom Tab [Apply this in All Issue/Cancel Module]

#15 - 10/07/2024 06:08 PM - Junaid M

- Assignee changed from Aparna Mathew to Amal Ck

#16 - 10/28/2024 04:24 PM - unnikannan S

- Status changed from New Changes to Reopen Bugs

ISSUE FOUNDED

1.Bold The Fare Amounts In the Fare Details Tab In Case Of Multiple Currency Transaction (Reffer Package Issue)

2.Clear Values From Pax profile Field In Case Of Invalid Data Adding In Code/Name Fields
3.Correct Fare Values In Case Of Changing Currency Of Supplier
4.Show Save Button In Ul While Adding A Issued Voucher

NEW CHANGES

1. In Package Tab --> Reference Employee --> Change to Dropdown Labels.
--> Options are "Ref. Employee", "Ref. Account" (Account--> Customer/Supplier/Comn Agent)
#17 - 10/30/2024 04:09 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#18 - 11/04/2024 12:42 PM - Theja Ponon
- File clipboard-202411041240-simac.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

#19 - 11/04/2024 12:54 PM - Theja Ponon
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#20 - 11/04/2024 02:29 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#21 - 11/23/2024 05:40 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50

NEW CHANGES

Additional Pax

—> Additional Pax Popup - Need Copy <Inputbox> Retore <Checkbox>
->Add 'Import' Button after 'Sequence' button

* Check Account or JV import

— File* (Red) file Chooser

-Left Side

*File

Avoid First Number of Rows <input>
Avoid Last Number of Rows <input>
*Input Pax Type String <input>
Adult <input>

Child <input>

Infant<input>

—-Right Side Table # | Checkbox Column | Index
Ticket No

Pax Profile

Pax Name (Mandatory)

Pax Type (Mandatory)

Nationality

Passport No

Date of Birth

Phone

Email

Save Settings | Close | Import —-> Buttons

—> In Additional Pax Pop-up —--> at the end of pax add attachment icon as grouped.

pload for pax name

click then open attachemnt u

—> In Ticket tab -> at the end of pax add attachment icon as grouped. click then open attachment upload for pa

X name.

#22 - 01/08/2025 03:56 PM - Arathy PS

- Status changed from New Changes to Reopen Bugs

ISSUE FOUND

(DONE)1. Normal Profit of refund should be difference of refund charge and supplier charge and actual profit should be the difference in service fee
or other fare components in customer side from sale.
(DONE)2. Can change the mandatory fields filled in package stock after loading them here.

#23 - 01/13/2025 12:29 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#24 - 02/05/2025 04:10 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

NEW CHANGES

Issue
1==>In AP Sharing tab,
--> 'Sharing Type' Default 'Customer Corp Card'

--> 'Card Number' --> Mandatory --> Load from Customer Master -- based on Customer and Corporate Account

--> 'Corporate Card*' Set default -> before 'Supplier'

*--in the corporate card entry field Load Only 'UCCF' Corporate Card.
--Expiry Date: - Blue * ??

--Name On Card: - Blue * ??

(DONE)2. Add a new field 'Service Provider' after channel.

(DONE)NEW CHANGES

1. In the AP sharing tab bottom,

--> Add title on Card Number:- Cardmember Account Number
--> Change 'Name On Card":- Cardmember Name

--> Add "AEME Approval Code™ Textbox

#25 - 02/24/2025 10:10 AM - Amal Ck
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#26 - 03/24/2025 05:53 PM - Arathy PS
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

(DONE)1. All a cash mode accounts are loading in FOP field not just act as client accounts.

#27 - 03/25/2025 08:52 AM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#28 - 04/12/2025 02:06 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Not showing tax based on region.
